# $Revision: 1.25.2.1 $, $Date: 2003/03/13 00:56:43 $
%include	/usr/lib/rpm/macros.perl
%define		pdir	Convert
%define		pnam	BER
Summary:	Convert::BER perl module
Summary(pl):	Modu perla Convert::BER
Name:		perl-Convert-BER
Version:	1.3101
Release:	2
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
%if %{?_without_tests:0}%{!?_without_tests:1}
BuildRequires:	perl-Math-BigInteger
%endif
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Convert::BER provides an OO interface to encoding and decoding data
into packets using the ASN.1 Basic Encoding Rules (BER)

%description -l pl
Convert::BER udostpnia obiektowy interfejs kodowania i dekodowania
danych przy wykorzystaniu BER (ASN.1 Basic Encoding Rules).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README
%{perl_sitelib}/Convert/BER.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Convert-BER.spec,v $
Revision 1.25.2.1  2003/03/13 00:56:43  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.25  2003/02/25 00:37:40  radek
- use the __perl macro

Revision 1.24  2003/02/18 15:28:24  ankry
- massive attack: change CPAN URLs

Revision 1.23  2002/08/24 17:06:15  radek
- version 1.3101, added conditional tests, STBR

Revision 1.22  2002/07/20 00:36:12  qboosh
- new %%doc

Revision 1.21  2002/07/10 08:46:40  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.20  2002/05/11 14:28:06  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.19  2002/02/25 06:37:41  kloczek
- typo.

Revision 1.18  2002/02/25 06:20:00  kloczek
- cosmetics.

Revision 1.17  2002/02/22 23:29:26  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.16  2002/02/13 14:10:18  depesz
automatic: Source location unfied, Relase Up

Revision 1.15  2002/02/10 15:24:42  depesz
adapterized

Revision 1.14  2002/01/18 02:14:13  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.13  2001/11/28 15:20:14  mis
- buildarch noarch; release++

Revision 1.12  2001/04/17 12:06:38  baggins
- release 3
- rebuild with perl 5.6.1

Revision 1.11  2001/04/14 18:00:04  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.10  2000/12/30 01:27:41  kloczek
- release 2: rebuild agaunst perl 5.6 and use new rpm automation.

Revision 1.9  2000/11/23 02:25:46  kloczek
- updated to 1.31 and added using new rpm automation.

Revision 1.8  2000/06/09 07:54:45  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:23:28  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/16 22:13:21  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:17  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:47  baggins
- translated kloczkish into english

Revision 1.3  1999/11/07 09:17:08  pius
- fixed required rpm-perlprov version

Revision 1.2  1999/10/30 09:24:23  pius
- added '%include /usr/lib/rpm/macros.perl'
- BuildRequires: rpm-perlprov, perl >= 5.005_03-12

Revision 1.1  1999/10/02 21:49:53  pius
- initial release
